org.apache.uima.resource

## Class ResourceServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.resource.ResourceServiceException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class ResourceServiceException
      extends UIMAException

  Thrown to indicate that an error has occurred during communication with a remote resource service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESERIALIZATION_FAILURE` Message key for a standard UIMA exception message: "A failure occurred while deserializing objects."
    `static String` | `RESOURCE_UNAVAILABLE` Message key for a standard UIMA exception message: "The requested resource is currently unavailable.
    `static String` | `SERIALIZATION_FAILURE` Message key for a standard UIMA exception message: "A failure occurred while serializing objects."
    `static String` | `UNEXPECTED_SERVICE_RETURN_VALUE_TYPE` Message key for a standard UIMA exception message: "Unexpected service return value type.

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServiceException()` Creates a new exception with a null message.
    `ResourceServiceException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceServiceException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceServiceException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `ResourceServiceException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `ResourceServiceException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### SERIALIZATION_FAILURE

          public static final String SERIALIZATION_FAILURE

      Message key for a standard UIMA exception message: "A failure occurred while serializing objects."
      See Also:
        Constant Field Values

    - #### DESERIALIZATION_FAILURE

          public static final String DESERIALIZATION_FAILURE

      Message key for a standard UIMA exception message: "A failure occurred while deserializing objects."
      See Also:
        Constant Field Values

    - #### RESOURCE_UNAVAILABLE

          public static final String RESOURCE_UNAVAILABLE

      Message key for a standard UIMA exception message: "The requested resource is currently unavailable. Please try again later."
      See Also:
        Constant Field Values

    - #### UNEXPECTED_SERVICE_RETURN_VALUE_TYPE

          public static final String UNEXPECTED_SERVICE_RETURN_VALUE_TYPE

      Message key for a standard UIMA exception message: "Unexpected service return value type. Expected {0}, but received {1}."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceServiceException

          public ResourceServiceException()

      Creates a new exception with a null message.

    - #### ResourceServiceException

          public ResourceServiceException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceServiceException

          public ResourceServiceException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceServiceException

          public ResourceServiceException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceServiceException

          public ResourceServiceException(String aMessageKey,
                                          Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceServiceException

          public ResourceServiceException(String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.